<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>Siemens Bot </title>

    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="{{ static_url("main.css") }}" type="text/css">
    <script>
        function textAreaAdjust(o) {
            o.style.height = "1px";
            o.style.height = (25 + o.scrollHeight) + "px";
        }
    </script>
    <style>
        .header {
            background: #07434c;
            color: white !important;
            padding: 15px;
        }

        .description {
            padding: 10px;
            margin-bottom: 10px;
        }
    </style>
</head>
<body>
<header>
    <h2>{{ title }}</h2>
</header>
<div class="container mt-20" style="position: relative;">
    <div class="row header" id="myHeader" style="position: sticky;top: 0; z-index: 99">
        <div class="col-md-1">NO.</div>
        <div class="col-md-2">order_number</div>
        <div class="col-md-5">description</div>
        <div class="col-md-2">PMD</div>
        <div class="col-md-2">Action</div>
        {#        <div class="col-md-12"><hr></div>#}
    </div>
    <div class="row">

        {% set cnt=1 %}
        {% for i in data %}
        <div class="col-md-1">{{ cnt }}</div>
        <div class="col-md-2">{{ i['order_number'] }}</div>
        <div class="col-md-5">{{ i['description'] }}</div>
        <div class="col-md-2">
            <div>
                {{ i['pmd'] }}
            </div>
        </div>
        <div class="col-md-2"><i style="cursor: pointer" class="fa fa-trash padding10"></i> <i style="cursor: pointer" class="fa fa-edit"></i>
        </div>
        <div class="col-md-12">
            <hr>
        </div>
        {% set cnt = cnt + 1 %}
        {% end %}
    </div>
    <div class="row header">
        <div class="col-md-3">Download in Text File :</div>
        <div class="col-md-6">
            <a download class="download-text-link disp-none" href="#">Download</a>
        </div>
        <div class="col-md-3">
            <button type="button" data-action="{{ request_ }}" class="btn btn-outline-light download_text">Create Download Link
            </button>
        </div>
        {#        <div class="col-md-12"><hr></div>#}
    </div>
    <footer style="text-align: center">
        www.Siemens-service.ir
    </footer>
</div>
<script>
    $(".download_text").click(function (e) {
        e.preventDefault();  //stop the browser from following
        var act = $(this).attr('data-action');
        $.ajax(
            {
                type: "POST",
                url: "/product/show",
                data: {
                    act: act
                },
                success: function (data) {
                    if (data['status']) {
                        console.log(data['value']);
                        $("a.download-text-link").attr("href", "/" + data['value']).removeClass('disp-none');
                    }
                    else {
                        alert(data['msg'])
                    }
                }
            });
    });
</script>
</body>
</html>